| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_biquad_cas_df1_32x64_ins_q31 Struct Reference

Instance structure for the high precision Q31 Biquad cascade filter. More...

## Data Fields

uint8_t | numStages
q63_t * | pState
q31_t * | pCoeffs
uint8_t | postShift

## Description

Examples:

  arm_graphic_equalizer_example_q31.c.

## Field Documentation

uint8_t arm_biquad_cas_df1_32x64_ins_q31::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

Referenced by arm_biquad_cas_df1_32x64_init_q31(), and arm_biquad_cas_df1_32x64_q31().

q31_t* arm_biquad_cas_df1_32x64_ins_q31::pCoeffs

points to the array of coefficients. The array is of length 5*numStages.

Referenced by arm_biquad_cas_df1_32x64_init_q31(), and arm_biquad_cas_df1_32x64_q31().

uint8_t arm_biquad_cas_df1_32x64_ins_q31::postShift

additional shift, in bits, applied to each output sample.

Referenced by arm_biquad_cas_df1_32x64_init_q31(), and arm_biquad_cas_df1_32x64_q31().

q63_t* arm_biquad_cas_df1_32x64_ins_q31::pState

points to the array of state coefficients. The array is of length 4*numStages.

Referenced by arm_biquad_cas_df1_32x64_init_q31(), and arm_biquad_cas_df1_32x64_q31().